Bug 668417 - Cannot perform network kickstart installation to iSCSI target accessed via different NIC
Cannot perform network kickstart installation to iSCSI target accessed via di...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pykickstart (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks: 638131
  Show dependency treegraph
 
Reported: 2011-01-10 08:12 EST by Radek Vykydal
Modified: 2015-09-27 22:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: pykickstart-1.74.5-1
Doc Type: Bug Fix
Doc Text:
Three new network options have been added to pykickstart: "--activate", "--nodefroute", and "--bootproto=ibft". These enable users to install to iSCSI target systems that use a network card other than the system's network configuration.
Story Points: ---
Clone Of: 638131
Environment:
Last Closed: 2011-05-19 09:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Radek Vykydal 2011-01-10 08:17:39 EST
This is pykickstart part of the original anaconda bug. It adds two network
command flag options: --activate and --nodefroute.

--activate option causes the device to be activated in loader (by default it is
off). For the first network command, it is always on to keep rhel 5 behaviour.

--nodefroute option sets DEFROUTE=no in ifcfg file to prevent grabbing of
default route by the device.
Comment 3 RHEL Product and Program Management 2011-01-20 18:10:20 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 4 Radek Vykydal 2011-01-26 09:34:48 EST
This should be fixed in pykickstart-1.74.5-1.

Update to comment #2:
network --bootproto=ibft options was added (see
https://bugzilla.redhat.com/show_bug.cgi?id=638131#c16 for details).
Comment 6 Alexander Todorov 2011-04-27 04:16:06 EDT
Verified with pykickstart-1.74.5-1 on snap #5.
Comment 7 Laura Bailey 2011-05-10 22:10:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Three new network options have been added to pykickstart: "--activate", "--nodefroute", and "--bootproto=ibft". These enable users to install to iSCSI target systems that use a network card other than the system's network configuration.
Comment 8 errata-xmlrpc 2011-05-19 09:57:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0662.html

Note You need to log in before you can comment on or make changes to this bug.